\( \newcommand{\E}{\mathrm{E}} \) \( \newcommand{\A}{\mathrm{A}} \) \( \newcommand{\R}{\mathrm{R}} \) \( \newcommand{\N}{\mathrm{N}} \) \( \newcommand{\Q}{\mathrm{Q}} \) \( \newcommand{\Z}{\mathrm{Z}} \) \( \def\ccSum #1#2#3{ \sum_{#1}^{#2}{#3} } \def\ccProd #1#2#3{ \sum_{#1}^{#2}{#3} }\)

CGAL 4.8 - STL Extensions for CGAL

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Groups Pages
List of all members | Public Types
CGAL::cpp11::result_of< F > Struct Template Reference
STL Extensions for CGAL Reference

`#include <CGAL/result_of.h>`

## Definition

Alias to the tr1 implementation from boost of the `result_of` mechanism.

When all compilers supported by CGAL will have a Standard compliant implemention of the the C++11 `decltype` feature, it will become an alias to `std::result_of`.

See Also
  `boost::result_of`

## Public Types
typedef unspecified_type | type
| starting from boost version 1.44, it is `boost::tr1_result_of<F>::type`, and `boost::result_of<F>::type` otherwise. More...

## Member Typedef Documentation

template<typename F>

typedef unspecified_type CGAL::cpp11::result_of< F >::type

starting from boost version 1.44, it is `boost::tr1_result_of<F>::type`, and `boost::result_of<F>::type` otherwise.